#ifndef __TASKMAIN_HPP__
#define __TASKMAIN_HPP__


#include <stdbool.h>
#include <stdint.h>
#include <vector>

#include "sdk_config.h"
#include "nrf52832_peripherals.h"
#include "nrf_drv_clock.h"
#include "app_timer.h"

#include "Singleton.hpp"


class TaskMain: public Singleton <TaskMain>{
friend class Singleton <TaskMain>;
public :
    ~TaskMain() {}


	void init();



private :
	TaskMain()
	{
	}

	TaskMain(const TaskMain&);

	TaskMain & operator = (const TaskMain &);


	//! storage of sending frequency
	uint32_t m_sendFreqInTicks;
	uint16_t m_batteryCount;

	/**@brief Function for initialization of sending timer
	 */
	void timer_init();

};

#endif /* __TASKMAIN_HPP__ */
